;--------------------------------------------------------------------------------
; winPenPack Project § X-Software collection
; Copyright © 2005-2009 Danilo Leggieri and winPenPack Development Team
; X-Launcher 1.4 Copyright © Gabriele Tittonel and winPenPack Development Team
;
; Web: http://www.winpenpack.com/
; E-mail: winpenpack@gmail.com
;
; Released under the terms and conditions of the winPenPack License Agreement 
; (see license.txt or http://www.winpenpack.com/main/page.php?5)
;--------------------------------------------------------------------------------
[Version]
Ini Author=Danilo Leggieri
Ini Revision=15
Ini Rev.Author=
Ini Date=30/11/2009
Ini Locale=it
Software=Mule
Soft.Version=0.49c
Web=http://www.emule-project.net/
Launcher=1.4
System=

[Group]
Category=
Sub Category=
License=GNU General Public License
;--------------------------------------------------------------------------------

[Setup]
AppName=eMule_AdnzA

[FileToRun]
PathToExe=$Bin$\$AppName$\$AppName$.exe

[Environment]
;(player for preview) 
eMule_Player=@ScriptDir@\X-VideoLAN.exe
;eMule_Player=@ScriptDir@\X-MediaPlayerClassic.exe
;eMule_Player=$Bin$\MPlayer\MPUI.exe

eMule_Home=$Home$\$AppName$
eMule_Incoming=$Download$\$AppName$\Incoming
eMule_Temp=$Download$\$AppName$\Temp
eMule_Backup=$Backup$\$AppName$
eMule_Share=$Download$\$AppName$\Share

[Functions]
DirCreate=%eMule_Incoming%|%eMule_Temp%|%eMule_Home%|%eMule_Share%

FileCopy=%eMule_Home%\config\preferences.ini|$ExeDir$\config\preferences.ini|o
FileCopy=%eMule_Home%\config\Category.ini|$ExeDir$\config\Category.ini|o
FileCopy=%eMule_Home%\config\shareddir.dat|$ExeDir$\config\shareddir.dat|o

FileCopy=$Temp$\x-default|$ExeDir$\config\shareddir.dat

[RunAfter]
FileCopy=$ExeDir$\config\preferences.ini|%eMule_Home%\config\preferences.ini|o
FileCopy=$ExeDir$\config\Category.ini|%eMule_Home%\config\Category.ini|o
FileCopy=$ExeDir$\config\shareddir.dat|%eMule_Home%\config\shareddir.dat|o

DirRemove=$ExeDir$\Temp
DirRemove=$ExeDir$\Incoming

;(backup optional)
;DirCopy=%eMule_Backup%\config_4|%eMule_Backup%\config_5|o
;DirCopy=%eMule_Backup%\config_3|%eMule_Backup%\config_4|o
;DirCopy=%eMule_Backup%\config_2|%eMule_Backup%\config_3|o
;DirCopy=%eMule_Backup%\config_1|%eMule_Backup%\config_2|o
;DirCopy=$ExeDir$\config|%eMule_Backup%\config_1|o

[WriteToIni=$ExeDir$\config\preferences.ini]
;(preferences)
eMule|IncomingDir=%eMule_Incoming%
eMule|TempDir=%eMule_Temp%
eMule|NotifierConfiguration=$ExeDir$\config\Notifier.ini
eMule|WebTemplateFile=$ExeDir$\config\eMule.tmpl
eMule|ToolbarBitmapFolder=$ExeDir$\skins
eMule|Splashscreen=0
eMule|VideoPreviewBackupped=0

;(locale it)
;eMule|Language=1040

;(locale en)
;eMule|Language=1033

;(player for previews)
eMule|VideoPlayer=%eMule_Player%

;(shared directories)
[StringRegExpReplace=$ExeDir$\config\shareddir.dat]
<<RE>>|0=.*(\\Downloads\\eMule\\)<<RE>>{$Root$}$1

;(categories) 
[StringRegExpReplace=$ExeDir$\config\Category.ini]
<<RE>>|0=(Incoming=).+(\\Downloads\\eMule\\)<<RE>>$1{$Root$}$2

[WriteToReg=%eMule_Home%\$AppName$.reg]
MainKey=HKEY_CURRENT_USER\Software\Classes\ed2k

[RunBefore]
RegEdit=%eMule_Home%\$AppName$.reg

[Options]
DeleteTemp=true
MultipleIstances=true
ShowSplash=true
WriteLog=false

[SplashScreen]
Image=
Title=
TimeOut=1500